Skip to main content
GET
Get one label

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "actions-info": Adds actions { canBeUpdated, canBeDeleted }.
  • "updatable-fields": Adds updatableFields (per-field editability).
Available options:
actions-info,
updatable-fields

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Required string length: 1 - 100
color
string
required
Pattern: ^#[0-9a-fA-F]{6}$
type
enum<string>
required
Available options:
commission,
provider,
document,
user_profession,
diploma_title,
logbook
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
actions
object
updatableFields
object